""" Loads scene data from environment. """
# pylint: disable=C0103
try:
    import Tkinter as tk
except ImportError:
    import tkinter as tk


class LoadSceneData(tk.Frame):
    """A simple frame that loads scene data when it is acivated."""

    def __init__(self, parent, root, *args, **kwargs):
        tk.Frame.__init__(self, parent, *args, **kwargs)
        self.root = root
        tk.Label(self, text="Scene data loaded.").pack()

    def activate(self):
        """Activates the load_scene_data function."""
        self.root.viewer_instance.load_scene_data(self.root.viewer_instance.storage)


frame = LoadSceneData
