""" Stores scene data in pseudoatoms. """
# pylint: disable=C0103
try:
    import Tkinter as tk
except ImportError:
    import tkinter as tk


class StoreSceneData(tk.Frame):
    """A simple frame that stores scene data when it is acivated."""

    def __init__(self, parent, root, *args, **kwargs):
        tk.Frame.__init__(self, parent, *args, **kwargs)
        self.root = root
        tk.Label(self, text="Scene data stored.").pack()

    def activate(self):
        """Activates the store_scene_data function."""
        self.root.viewer_instance.store_scene_data()


frame = StoreSceneData
