""" Clears scene data from environment. """
# pylint: disable=C0103
try:
    import Tkinter as tk
except ImportError:
    import tkinter as tk


class ClearSceneData(tk.Frame):
    """A simple frame that clears scene data when it is acivated."""

    def __init__(self, parent, root, *args, **kwargs):
        tk.Frame.__init__(self, parent, *args, **kwargs)
        self.root = root
        tk.Label(self, text="Scene data cleared.").pack()

    def activate(self):
        """Activates the clear_metadata_from_scene function."""
        self.root.viewer_instance.clear_metadata_from_scene()


frame = ClearSceneData
