""" This class contains generic utility functions for the Tkinter frames. """


def is_int(_input):
    """Returns a boolean indicating whether the input is an integer. Intended for validation of
    integer input fields."""
    if _input == "":
        # It is okay for a field to be empty, otherwise you can't clear a field before inputting a
        # new number.
        return True
    try:
        int(_input)
        return True
    except (TypeError, ValueError):
        return False
